VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | List of all members
ListenerProvider< T, ListenerInterface > Struct Template Reference

## Public Types
using | List = DispatchList< ListenerInterface * >

## Public Member Functions
void | registerListener (ListenerInterface *listener)
void | unregisterListener (ListenerInterface *listener)
template<typename Proc >
void | forEachListener (Proc proc)
List & | getListeners ()
const List & | getListeners () const

## Member Typedef Documentation

using List = DispatchList<ListenerInterface*>

## Member Function Documentation

void forEachListener | ( | Proc | proc | ) |
| inline

List& getListeners | ( |  | ) |
| inline

const List& getListeners | ( |  | ) | const
| inline

void registerListener | ( | ListenerInterface * | listener | ) |
| inline

void unregisterListener | ( | ListenerInterface * | listener | ) |
| inline

The documentation for this struct was generated from the following file:

- dispatchlist.h